Bug 35653 - ntp to drop root privileges
ntp to drop root privileges
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-04-11 12:31 EDT by Pekka Savola
Modified: 2007-03-26 23:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-19 08:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-04-11 12:31:45 EDT
There has been a patch by Chris Wing (enhanced by Jarno Huuskonen and a
bit by myself) to drop root privileges.  This can be done because kernel
capabilities allow you to keep the rights to change the clock.

.src.rpm against the latest is available at

This requires kernel >=2.2.18 and libcap package (available at the same
Comment 1 Pekka Savola 2001-07-19 08:41:45 EDT
This would be very nice to have in the next release.  I've been running this
quite stably
on dozens and dozens of servers for many months now :-)

Note You need to log in before you can comment on or make changes to this bug.